Package org.apache.sling.discovery.commons.providers.util

# Class LogSilencer

java.lang.Object
org.apache.sling.discovery.commons.providers.util.LogSilencer

public class LogSilencer extends Object
Helper class to help reduce log.info output. It will avoid repetitive log.info calls and instead log future occurrences to log.debug

## Constructor Summary

Constructors
Constructor
Description
`LogSilencer(org.slf4j.Logger logger)`
`LogSilencer(org.slf4j.Logger logger, long autoResetDelayMinutes)`

## Method Summary

Modifier and Type
Method
Description
`void`
`infoOrDebug(String msg)`
`void`
`infoOrDebug(String category, String msg)`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogSilencer

public LogSilencer(org.slf4j.Logger logger, long autoResetDelayMinutes)

### LogSilencer

public LogSilencer(org.slf4j.Logger logger)

## Method Details

### infoOrDebug

public void infoOrDebug(String category, String msg)

### infoOrDebug

public void infoOrDebug(String msg)

### reset

public void reset()